Add build scripts for RPM and DEB Packages

11/08/2015 09:20 AM - Madars

Status: Closed Start date: 11/08/2015

Priority: Normal (Code 4) Due date:  

Assignee: Madars % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

CMake scripts shall be updated to have a build for DEB and RPM packages.

Some samples are here:

- https://nowardev.wordpress.com/2012/05/16/create-debian-package-for-script-and-simple-project-with-cmake-and-cpack/

- https://schneide.wordpress.com/2013/02/11/build-a-rpm-package-using-cmake/

History

#1 - 11/08/2015 09:32 PM - Madars

More info: http://stackoverflow.com/questions/10086615/cmake-cpack-debian-packages

#2 - 11/08/2015 09:42 PM - Madars

http://www.aps.anl.gov/epics/tech-talk/2011/msg01717.php

#3 - 11/12/2015 11:57 AM - Madars

- Status changed from New to In Progress

Completed  DEB & RPM generators created.

Needs to test with RPM system (e.g. Centos 6).

#4 - 11/23/2015 01:29 PM - Madars

Completed.

#5 - 11/23/2015 01:29 PM - Madars

- Status changed from In Progress to Resolved

#6 - 11/23/2015 01:29 PM - Madars

- Status changed from Resolved to Closed
